
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ascm/version'

Gem::Specification.new do |spec|
  spec.name          = 'ascm'
  spec.version       = ASCM::VERSION
  spec.authors       = ['Victor Gama']
  spec.email         = ['hey@vito.io']

  spec.summary       = 'ASCM is A Simple Configuration Manager, reading things from ENV to values in a class'
  spec.description   = <<-description
    ASCM reads ENV varaibles into a class, providing methods to ensure a setting
    is available, and mapping variables using Lambdas. The result is a clean,
    comprehensive configuration file that may be documented as desired, allowing
    other developers to quickly inspect and understand existing parameters and
    quickly adding new ones.
  description
  spec.homepage      = 'https://github.com/victorgama/ascm'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'climate_control', '~> 0.2'
  spec.add_development_dependency 'simplecov', '~> 0.16.1'
  spec.add_development_dependency 'rubocop', '~> 0.55.0'
  spec.add_development_dependency 'codecov'
end
